<!--
    Input:
        dax_framework_compatibility_matrix.xml
        lenovo_framework_compatibility_matrix.xml
        dax_framework_compatibility_matrix.xml
-->
<compatibility-matrix version="4.0" type="framework">
    <hal format="hidl" optional="true">
        <name>vendor.dolby.hardware.dms</name>
        <version>2.0</version>
        <interface>
            <name>IDms</name>
            <instance>default</instance>
        </interface>
    </hal>
    <hal format="hidl" optional="true">
        <name>vendor.dolby.hardware.dms</name>
        <version>2.0</version>
        <interface>
            <name>IDms</name>
            <instance>default</instance>
        </interface>
    </hal>
    <hal format="hidl" optional="true">
        <name>vendor.lenovo.hardware.keyboard</name>
        <version>1.0</version>
        <interface>
            <name>IKeyboard</name>
            <instance>default</instance>
        </interface>
    </hal>
    <hal format="hidl" optional="false">
        <name>vendor.lenovo.hardware.touchscreen</name>
        <version>1.0</version>
        <interface>
            <name>ITouchscreen</name>
            <instance>default</instance>
        </interface>
    </hal>
</compatibility-matrix>
